#include <stdio.h>
int main()
{
    int n,i,k,s=0,a;
    scanf("%d",&n);
    int iNiz[n];
    for(i=0;i<n;i++)
    {
        scanf("%d",&iNiz[i]);
    }            
    for(i=0;i<n;i++)
    {
        printf("\n%d",iNiz[i]);
    }
{
    int i=0,a=0;
    while(i<n-1)
    {
        i++;
if(iNiz[a]==iNiz[i+1])
{
    printf("\n%d",iNiz[a]);
}
}
}
    return 0;
}